#!/bin/bash

package=httpd
version=-2.2.15

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTAMP ../.. $*

prefix=$GEXTAMP_INSTALLED

if [ "$COMPILE_UP_APACHE_HTTPD" = "1" ] ; then
  opt_run_untar $force_untar $auto_untar $package $version
  opt_run_configure $force_config $auto_config $package $version $prefix --with-layout=Apache --enable-so --enable-rewrite --enable-proxy --with-included-apr

  opt_run_make $compile   $package $version
  opt_run_make $install   $package $version "install"
  opt_run_make $clean     $package $version "clean"
  opt_run_make $distclean $package $version "distclean"

  opt_run_tarclean $tarclean $package $version
else
  echo "Using Apache HTTPD that is provided externally to the extension at:"
  echo "  $APACHE_HTTPD_HOME"
  echo ""
fi
